# classes/phing/types/selectors/SelectSelector.php

This selector just holds one other selector and forwards all requests to it. It exists so that there is a single selector type that can exist outside of any targets, as an element of project. It overrides all of the reference stuff so that it works as expected. Note that this is the only selector you can reference.

author
  Hans Lellelid <hans@xmpl.org> (Phing)
author
  Bruce Atherton <bruce@callenish.com> (Ant)
package
  phing.types.selectors
version
  $Revision: 526 $

## \SelectSelector
jump to top

This selector just holds one other selector and forwards all requests to it. It exists so that there is a single selector type that can exist outside of any targets, as an element of project. It overrides all of the reference stuff so that it works as expected. Note that this is the only selector you can reference.

This class handles the common description attribute and provides a default implementation for reference handling and checking for circular references that is appropriate for types that can not be nested inside elements of the same type (i.e. patternset but not path)

Extends from
  \AndSelector
author
  Hans Lellelid <hans@xmpl.org> (Phing)
author
  Bruce Atherton <bruce@callenish.com> (Ant)
package
  phing.types.selectors
version
  $Revision: 526 $

### Methods

`appendSelector( \selector $selector ) : \the`
Add a new selector into this container.
Parameters

Name | Type | Description
--- | --- | ---
$selector | \selector | the new selector to add

Returns

Type | Description
--- | ---
\the |

`getRef( ) :`
Performs the check for circular references and returns the referenced Selector.
`getSelectors( $p ) :`
Returns the set of selectors as an array.
Parameters

Name | Type | Description
--- | --- | ---
$p |  |

`hasSelectors( ) :`
Indicates whether there are any selectors here.
`selectorCount( ) :`
Gives the count of the number of selectors in this container
`selectorElements( ) :`
Returns an enumerator for accessing the set of selectors.
`toString( ) :`
`verifySettings( ) :`
Makes sure that there is only one entry, sets an error message if not.
Documentation was generated by DocBlox 0.13.1.